Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FRM
Class emos_frm_driver_lib

public class emos_frm_driver_lib

The library routines for the EMOS_FRM_driver test.

Stereotype compiled module

Method Summary
`int` | `FRM_DRV_handle_processed_block(in block, in test, in rc, inout frm_rc)` Formats the report for procesed test blocks.
`int` | `FRM_DRV_handle_unimplemented_block(in block, inout frm_rc)` Formats the report for unimplemented test blocks.
`int` | `FRM_DRV_handle_unknown_block(in block, inout frm_rc)` Formats the report for unknown test blocks.
`int` | `FRM_DRV_main(in script_home, in data_home, in default_suite_table, in ask, in columns)` The main loop processes all rows in the suite table.
`int` | `FRM_DRV_set_ask(in par)` TRUE: gives you the option to choose the alternative suite table; FALSE: opens the defined table only [default]
`int` | `FRM_DRV_set_columns(in cols)` Comma-separated string defining the titles of the four important columns [default: "Bearbeiten?,Testscript,Testtabelle,Testset[,Kommentar]"]
`int` | `FRM_DRV_set_data_home(in dir)` Home directory for test data
`int` | `FRM_DRV_set_default_suite_table(in name)` Name of the test suite table
`int` | `FRM_DRV_set_script_home(in dir)` Home directory for test scripts
`int` | `FRM_DRV_test_set_driver(in script, in table, in testset)` Executes a set of tests from a specified data table by the specified script.

Method Detail

### FRM_DRV_handle_processed_block

    public int FRM_DRV_handle_processed_block(in block, in test, in rc, inout frm_rc)

  Formats the report for procesed test blocks. Note that this function increases the inout variable `frm_rc` by 1 in case of `rc!=0`.
  Parameters:
    block - (in) the name of the test block
    test - (in) the name of the test case
    rc - (in) status returned by the processed test block
    frm_rc - (in) the current value of the status variable
  Returns: 0 to continue with the test case, 1 to stop the execution of the test case

### FRM_DRV_handle_unimplemented_block

    public int FRM_DRV_handle_unimplemented_block(in block, inout frm_rc)

  Formats the report for unimplemented test blocks. Note that this function increases the inout variable `frm_rc` by 1.
  Parameters:
    block - (in) the name of the test block
    frm_rc - (inout) the status variable (increased by 1 upon the exit)

### FRM_DRV_handle_unknown_block

    public int FRM_DRV_handle_unknown_block(in block, inout frm_rc)

  Formats the report for unknown test blocks. Note that this function increases the inout variable `frm_rc` by 1.
  Parameters:
    block - (in) the name of the test block
    frm_rc - (inout) the status variable (increased by 1 upon the exit)

### FRM_DRV_main

    public int FRM_DRV_main(in script_home, in data_home, in default_suite_table, in ask, in columns)

  The main loop processes all rows in the suite table.
  Parameters:
    script_home - home directory for test scripts
    data_home - home directory for test data
    default_suite_table - name of the test suite table
    ask - (optional) TRUE: gives you the option to choose alternative suite table; FALSE: opens the defined table only [default]
    columns - (optional) comma-separated string defining the titles of the four important columns [default:

        "Bearbeiten?,Testscript,Testtabelle,Testset[,Kommentar]"

    ]
  Returns: E_OK: success !E_OK: failure

### FRM_DRV_set_ask

    public int FRM_DRV_set_ask(in par)

  TRUE: gives you the option to choose the alternative suite table; FALSE: opens the defined table only [default]

### FRM_DRV_set_columns

    public int FRM_DRV_set_columns(in cols)

  Comma-separated string defining the titles of the four important columns [default:

      "Bearbeiten?,Testscript,Testtabelle,Testset[,Kommentar]"

  ]

### FRM_DRV_set_data_home

    public int FRM_DRV_set_data_home(in dir)

  Home directory for test data

### FRM_DRV_set_default_suite_table

    public int FRM_DRV_set_default_suite_table(in name)

  Name of the test suite table

### FRM_DRV_set_script_home

    public int FRM_DRV_set_script_home(in dir)

  Home directory for test scripts

### FRM_DRV_test_set_driver

    public int FRM_DRV_test_set_driver(in script, in table, in testset)

  Executes a set of tests from a specified data table by the specified script.
  Parameters:
    script - (in) test driver (full path or accessable vie search path)
    table - (in) data table (full path name!)
    testset - (in) names of the tests to be executed (individual entries are comma-separated; numeric ranges can be shortend by hyphen, e.g. 1-5 which stands for 1,2,3,4,5; ranges can also be defined within name spaces and are similarly shortened, e.g. a1-3 stands for a1,a2,a3)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD